Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  File automatisiert für Versand vorbereiten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   File automatisiert für Versand vorbereiten (831 mal gelesen)
horn.or
Mitglied


Sehen Sie sich das Profil von horn.or an!   Senden Sie eine Private Message an horn.or  Schreiben Sie einen Gästebucheintrag für horn.or

Beiträge: 2
Registriert: 28.03.2013

AutoCAD 2013

erstellt am: 28. Mrz. 2013 10:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, ich bin neu hier und bitte um Hilfe für folgendes Problem:
Ich versende täglich Pläne an verschiedenste Leute und möchte meine aufwendig erstellten Blöcke vor dem Versand automatisiert zerlegen.
Leider kenne ich mich mit Lisp nicht aus, daher habe ich versucht über einen Button verschieden Befehle zu komponieren - funktioniert leider nicht ganz...
Der Button sollte folgendes durchführen:
1.) Alle Layouts löschen
2.) Alle Blöcke (Blockname) die mit z.B. xyz* beginnen in Ursprung zerlegen, Attribute in Text auflösen (auch wenn sie auf gesperrten, gefrorenen oder ausgeschalteten Layer liegen)
3.) Bereinigen
4.) Speichern unter-Box soll sich öffnen
Bei mir wird der Befehl je nach Zeichnung an verschiedenen stellen abgebrochen, es gibt ja auch keine Schnellauswahl über Befehlszeile oder?
Eine meine viele Varianten: ^C^C(delalllayouts"");-layer;au;*;;sp;*;fr;*;ei;xyz*;ta;xyz*;en;xyz*;;burst;alle;;ur;alle;;-layer;ei;*;ta;*;;-bereinig;al;;n;rg;sichals;
Für einen Profi sicher etwas umständlich ;-)
Vielleicht kann mir jemand weiterhelfen oder hat etwas ähnliches in Verwendung... Danke!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 28. Mrz. 2013 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für horn.or 10 Unities + Antwort hilfreich

Hi und herzlich willkommen!

Die Schnellauswahl für die Befehlszeile ist in den Express Tools enthalten und heißt SSX.

Da dein Makro aber, wie du sagst, je nach Datei unterschiedlich abbricht, wirst du auf diese Weise möglicherweise zu keiner Lösung kommen.
Es müssen Fehler abgefangen und Objekte geprüft werden und das geht nur über eine Programmierung.

Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

xem
Mitglied
Zeichner


Sehen Sie sich das Profil von xem an!   Senden Sie eine Private Message an xem  Schreiben Sie einen Gästebucheintrag für xem

Beiträge: 817
Registriert: 07.08.2008

Software:
AutoCAD 2014 - 64bit
Windows 7 Pro - 64bit
PDFCreator 1.0.2 - 32bit
Ghostscript 9.0 - 64bit
PDF-XChange Viewer - 64bit
GIMP 2.6.8 - 64bit
MS Office 2010 - 32bit
Opera 12 - 32bit
MacroX - 32bit
7-zip - 64bit
-----------------------
Hardware:
Intel i5 680 3,6GHz @ 4GHz
8GB RAM 1333MHz
nVidia GTX 460 1024MB
Intel SSD 2.5 80GB X25-M
Samsung SyncMaster 245B+
Iiyama ProLite E1900s
Logitech mx518
Logitech G11
Roccat Sense Glacier Blue

erstellt am: 28. Mrz. 2013 15:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für horn.or 10 Unities + Antwort hilfreich

zu 1.

Code:
(defun c:Dellayout (/ )
(vl-load-com)
(vlax-for LAYOUT (vla-get-layouts(vla-get-activedocument(vlax-get-acad-object)))
(vl-catch-all-apply 'vla-delete (list LAYOUT))
)
)

zu 2.
>iBurst<
muß dann aber angepaßt werden um nicht alle Blöcke zu bursten.

Code:

  (if (ssget "_:L" '((0 . "INSERT")))
    (progn
      (setq Undo (not (vla-StartUndoMark doc)))

durch
Code:
  (if (ssget "_:L" '((0 . "INSERT")(2 . "BLOCKNAME")))
    (progn
      (setq Undo (not (vla-StartUndoMark doc)))

ersetzen

Leider funktioniert das nicht bei dynamischen Blöcken. Weiß jemand wie man dynamische Blöcke über den Namen finden kann?

[Diese Nachricht wurde von xem am 28. Mrz. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

horn.or
Mitglied


Sehen Sie sich das Profil von horn.or an!   Senden Sie eine Private Message an horn.or  Schreiben Sie einen Gästebucheintrag für horn.or

Beiträge: 2
Registriert: 28.03.2013

AutoCAD 2013

erstellt am: 02. Apr. 2013 11:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

DANKE für die Antworten, ich werde das mal testen und berichten.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz